Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.naming
Class Transaction

    java.lang.Object
      org.mortbay.jetty.plus.naming.NamingEntry
          org.mortbay.jetty.plus.naming.Transaction

    public class Transaction

extends NamingEntry

Transaction Class to represent a JTA UserTransaction impl.

Field Summary
`static String` | `USER_TRANSACTION`

Fields inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`absoluteObjectNameString, context, isGlobal, jndiName, namingEntryNameString, objectNameString, objectToBind, scope, SCOPE_GLOBAL, SCOPE_LOCAL`

Constructor Summary
`Transaction(UserTransaction userTransaction)`

Method Summary
`void` | `bindToEnv()` Add a java:comp/env binding for the object represented by this NamingEntry
`static Transaction` | `getTransaction(int scopeType)`
`void` | `unbindEnv()` Unbind this Transaction from a java:comp

Methods inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`getJndiName, getObjectToBind, getScope, isGlobal, lookupNamingEntries, lookupNamingEntry, setScope, unbind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_TRANSACTION

    public static final String USER_TRANSACTION

See Also:
  Constant Field Values

Constructor Detail

### Transaction

    public Transaction(UserTransaction userTransaction)
                throws NamingException

Throws:
  `NamingException`

Method Detail

### getTransaction

    public static Transaction getTransaction(int scopeType)
                                      throws NamingException

  Throws:
    `NamingException`

### bindToEnv

    public void bindToEnv()
                   throws NamingException

  Description copied from class: `NamingEntry`
  Add a java:comp/env binding for the object represented by this NamingEntry

  Overrides:
    `bindToEnv` in class `NamingEntry`
  Throws:
    `NamingException`

### unbindEnv

    public void unbindEnv()

  Unbind this Transaction from a java:comp

  Overrides:
    `unbindEnv` in class `NamingEntry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.